Create pentest draft

Create a new draft pentest assessment. The project will be created if it doesn't exist.

Body Params

The parameters needed to create a new draft pentest assessment

string
required

The name of the pentest project. If the project doesn't exist, it will be created.

domains
array of strings
required
length ≥ 1

An array of domain URLs to include in the pentest assessment. Cannot be empty.

domains*
custom_headers
object

A map of custom headers to include in the assessment. Must be of format {header_name: header_value, ...}

repository_ids
array of integers

Optional array of existing code repository IDs to include in the assessment.

repository_ids
string

URL to download a custom code repository. Must be provided together with 'repository_name'. If provided, 'repository_ids' should not be provided.

string

Name for the custom code repository. Must be provided together with 'repository_download_url'. If provided, 'repository_ids' should not be provided.

string
length ≤ 2000

Optional notes for the assessment, such as test accounts or behavior the code and documentation do not cover. Shown as additional notes in the draft.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json